<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetControl Method (IEdmCard5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCard5 Interface : GetControl Method (IEdmCard5)

Visual Basic
C#
C++/CLI

lControlID
  ID of card control to get

Gets a card control with the specified ID.

# Syntax

Visual Basic |
--- | ---

    Function GetControl( _
       ByVal lControlID As System.Integer _
    ) As IEdmCardControl5

C# |
--- | ---

    IEdmCardControl5 GetControl(
       System.int lControlID
    )

C++/CLI |
--- | ---

    IEdmCardControl5^ GetControl(
    &   System.int lControlID
    )

#### Parameters

lControlID
  ID of card control to get

#### Return Value

IEdmCardControl5

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: The supplied control is invalid.
- E_EDM_DATABASE_ACCESS: The supplied control ID is invalid.

# See Also

####

IEdmCard5 Interface
IEdmCard5 Members
IEdmCard5::GetControlID Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2